Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Class JSIPropertyInfo

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.jsi.JSIPropertyInfo

public final class JSIPropertyInfo
extends java.lang.Object

A simple class used to describe a JSI property.

Constructor Summary
`JSIPropertyInfo(java.lang.String name, int commands, java.lang.String usage)` Construct a property info with the given values and no specifier value.
`JSIPropertyInfo(java.lang.String name, int commands, java.lang.String specifiers, java.lang.String usage)` Construct a property info with the given values.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getCommands()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSpecifiers()`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`java.lang.String` | `usage()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSIPropertyInfo

    public JSIPropertyInfo(java.lang.String name,
                           int commands,
                           java.lang.String specifiers,
                           java.lang.String usage)

  Construct a property info with the given values.
  Parameters:
    `name` - The name of the property.
    `commands` - A bitmask of the message types that the property
    `commands` - understands.
    `specifiers` - The specifier value needed to address the property.
    `usage` - A description of the property and its uses.

### JSIPropertyInfo

    public JSIPropertyInfo(java.lang.String name,
                           int commands,
                           java.lang.String usage)

  Construct a property info with the given values and no specifier value.
  Parameters:
    `name` - The name of the property.
    `commands` - A bitmask of the message types that the property
    `commands` - understands.
    `usage` - A description of the property and its uses.

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the property.

### getCommands

    public int getCommands()

  Returns:
    The bitmask of message types the property understands.

### getSpecifiers

    public java.lang.String getSpecifiers()

  Returns:
    The specifier values needed to address the property.

### usage

    public java.lang.String usage()

  Returns:
    A description of the property and its uses.

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002